import { StyleSheet } from 'react-native';
import { colors } from '../Constants';

const styles = StyleSheet.create({
    playerBarContainer:{
        width:'100%',
        borderTopLeftRadius:10,
        borderTopRightRadius:10,
        paddingVertical:12,
        paddingHorizontal:10,
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-start',
    },
    playerBarFlag:{
        width:25,
        height:20,
        resizeMode:'contain',
        marginRight:5,
    },
    playerBarName:{
        fontSize:16,
        lineHeight:20,
        textTransform:'uppercase',
        color:colors.white,
        fontWeight:'bold',
    },
    playerInfoContainer:{
        flexDirection:'row',
        justifyContent:'flex-start',
    },
    playerInfoAvatar:{
        width:60,
        height:60,
        borderRadius:5,
        resizeMode:'cover',
        marginRight:20,
    },
    playerInfoRightContainer:{
        flex:1,
        justifyContent:'space-between',
        alignItems:'flex-start',
    },
    playerInfoLine:{
        backgroundColor:colors.greyDark2,
        borderRadius:5,
        height:25,
        paddingHorizontal:10,
        paddingLeft:25,
        flexDirection:'row',
        alignItems:'center',
    },
    playerInfoLineIcon:{
        width:30,
        height:30,
        resizeMode:'contain',
        position:'absolute',
        left:-10,
    },
    playerInfoTeamIcon:{
        width:28,
        height:28,
        resizeMode:'contain',
        position:'absolute',
        left:-10,
    },
    playerInfoLineValue:{
        fontSize:16,
        lineHeight:20,
        color:colors.white,
        fontWeight:'700',
    },
    playerInfoLineTeamName:{
        fontSize:14,
        lineHeight:18,
        color:colors.white,
        fontWeight:'700',
    },
    achievementContainer:{
        backgroundColor:colors.greyDark1,
        borderRadius:5,
        overflow:'hidden',
        marginRight:5,
        marginBottom:5,
    },
    achievementGradient:{
        paddingVertical:5,
        paddingHorizontal:10,
    },
    achievementName:{
        color:colors.white,
        fontSize:9,
        textAlign:'center',
    },
    achievementBottomContainer:{
        flex:1,
        alignItems:'center',
        justifyContent:'center',
    },
    achievementImageContainer:{
        width:90,
        height:120,
        flex:1,
        alignItems:'center',
        justifyContent:'center',
    },
    medalImage:{
        width:'65%',
        resizeMode:'contain',
    },
    achievementQuantityContainer:{
        width:25,
        height:25,
        borderRadius:19,
        borderWidth:1,
        borderColor:colors.white,
        backgroundColor:colors.greyLight1,
        alignItems:'center',
        justifyContent:'center',
        position:'absolute',
        bottom:5,
        right:10,
    },
    achievementQuantity:{
        fontSize:14,
        fontWeight:'bold',
        color:colors.white,
    },
    headerContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'space-between',
        paddingHorizontal:20,
        paddingVertical:10,
        zIndex:1,
    },
    burgerMenuLineMiddle:{
        width:25,
        height:3,
        backgroundColor:colors.white,
        borderRadius:5,
        marginBottom:5,
        marginTop:5,
    },
    burgerMenuLine:{
        width:25,
        height:3,
        backgroundColor:colors.white,
        borderRadius:5,
    },
    burgerMenuAlert:{
        width:17,
        height:17,
        resizeMode:'contain',
        position:'absolute',
        top:-10,
        right:-10,
    },
    headerRightContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-end',
    },
    headerLevelContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-start',
        marginRight:30,
    },
    headerLevelIcon:{
        width:28,
        height:28,
        resizeMode:'contain',
        marginRight:5,
    },
    headerLevel:{
        fontSize:16,
        color:colors.white,
        fontWeight:'700',
    },
    headerUnitsContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-start',
    },
    headerUnitsIcon:{
        width:28,
        height:28,
        resizeMode:'contain',
        marginRight:5,
    },
    headerUnits:{
        fontSize:16,
        color:colors.white,
        fontWeight:'700',
    },
    menu:{
        position:'absolute',
        left:-10,
        top:30,
        backgroundColor:'#e6ebf1',
        minWidth:'65%',
        borderBottomLeftRadius:5,
        borderBottomRightRadius:5,
        paddingHorizontal:5,
        zIndex:99,
    },
    menuItem:{
        flexDirection:'row',
        alignItems:'center',
        paddingVertical:20,
        paddingHorizontal:12,
    },
    menuItemIcon:{
        width:30,
        height:30,
        marginRight:15,
    },
    menuItemText:{
        fontSize:14,
        color:colors.greyDark3,
    },
    menuItemDelimitator:{
        backgroundColor:'#d3dbe4',
        height:1,
    },
    menuItemAlert:{
        width:17,
        height:17,
        position:'absolute',
        right:20,
    },
    statContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'space-between',
        paddingVertical:5,
        paddingHorizontal:10,
        backgroundColor:colors.darkBlue,
        borderBottomWidth:1,
        borderBottomColor:'#47688a',
    },
    statActiveContainer:{
        backgroundColor:colors.lightBlue
    },
    statLastContainer:{
        borderBottomWidth:0,
        borderBottomRightRadius:5,
        borderBottomLeftRadius:5,
    },
    statFirstContainer:{
        borderTopRightRadius:5,
        borderTopLeftRadius:5,
    },
    statLeftContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-start',
        flex:1,
    },
    statPosition:{
        width:'18%',
        textAlign:'center',
        fontSize:9,
        color:colors.white,
        paddingRight:10,
    },
    statPlayeraVatar:{
        width:35,
        height:35,
        resizeMode:'cover',
        marginRight:10,
    },
    statUsername:{
        fontSize:10,
        color:colors.white,
    },
    statRightContainer:{
        flex:1,
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'flex-end',
    },
    statValueContainer:{
        backgroundColor:colors.darkBlue1,
        paddingVertical:3,
        width:50,
        borderRadius:3,
        alignItems:'center',
        justifyContent:'center',
        flexDirection:'row',
    },
    statValueIcon:{
        width:20,
        height:20,
        position:'absolute',
        left:-12,
    },
    statValue:{
        fontSize:10,
        textAlign:'center',
        color:colors.white
    },
    statGiftIcon:{
        width:'30%',
        justifyContent:'center',
        alignItems:'center',
        marginRight:-10,
        marginLeft:5,
    },
    modalContainer:{
        flex:1,
        justifyContent:'center',
        alignItems:'center',
    },
    modalInnerContainer:{
        width:'100%',
        padding:3,
        backgroundColor:'red',
    },
    modalContent:{
        width:'100%',
        backgroundColor:colors.greyDark1,
    },
    modalHeaderContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'center',
        paddingVertical:10,
    },
    modalHeaderTitle:{
        fontSize:18,
        fontWeight:'bold',
        color:colors.white,
    },
    modalMiddleContainer:{
        alignItems:'center',
        padding:10,
    },
    modalImageContainer:{
        marginBottom:30,
        width:'100%',
        justifyContent:'center',
        alignItems:'center',
    },
    modalGiftImage:{
        width:120,
        height:120,
    },
    modalSparkleImage:{
        position:'absolute',
        top:-15,
        left:10,
        width:'100%',
        resizeMode:'contain',
        height:200,
    },
    modalRewardLabel:{
        marginBottom:5,
        fontSize:13,
        color:colors.white,
    },
    modalRewardContainer:{
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'center',
        paddingVertical:5,
        paddingHorizontal:50,
        backgroundColor:'#222529',
    },
    modalRewardValue:{
        color:colors.green,
        fontSize:16,
        fontWeight:'bold',
        marginRight:10,
    },
    modalRewardIcon:{
        width:30,
        height:30,
        resizeMode:'contain',
    },
    modalBottomContainer:{
        backgroundColor:colors.greyDark2,
        paddingVertical:12,
        flexDirection:'row',
        alignItems:'center',
        justifyContent:'center',
    },
    modalCollectButton:{
        paddingVertical:10,
        paddingHorizontal:30,
        borderRadius:3,
        backgroundColor:colors.green,
    },
    modalCollectButtonText:{
        fontSize:14,
        fontWeight:'bold',
        color:colors.white,
    },
});

export default styles;